package com.tmerclub.cloud.live.dto;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 直播消息组成
 * 1. 弹幕消息 2.商品讲解状态变更(主播)
 * @author TRACK
 */
public class LiveMessageDTO {

    @Schema(description = "消息类型 0.心跳 1.弹幕消息 2.商品讲解状态变更")
    private Integer msgType;

    @Schema(description = "消息内容")
    private String content;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "讲解状态 0未讲解 1讲解中")
    private Integer explainStatus;

    @Schema(description = "活动价(秒杀、团购活动的商品价格)")
    private Double activityPrice;

    @Schema(description = "用户昵称")
    private String nickName;

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getExplainStatus() {
        return explainStatus;
    }

    public void setExplainStatus(Integer explainStatus) {
        this.explainStatus = explainStatus;
    }

    public Double getActivityPrice() {
        return activityPrice;
    }

    public void setActivityPrice(Double activityPrice) {
        this.activityPrice = activityPrice;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    @Override
    public String toString() {
        return "LiveMessageDTO{" +
                "msgType=" + msgType +
                ", content='" + content + '\'' +
                ", spuId=" + spuId +
                ", explainStatus=" + explainStatus +
                ", activityPrice=" + activityPrice +
                ", nickName='" + nickName + '\'' +
                '}';
    }
}
